Package Details: proton-vpn-gtk-app 4.3.3-1

Git Clone URL: https://aur.archlinux.org/proton-vpn-gtk-app.git (read-only, click to copy)
Package Base: proton-vpn-gtk-app
Description: ProtonVPN GTK app, Maintained by Community
Upstream URL: https://github.com/ProtonVPN/proton-vpn-gtk-app
Keywords: protonvpn
Licenses: GPL3
Groups: ProtonVPN
Conflicts: protonvpn-gui, python-proton-client
Submitter: ali.molaei
Maintainer: ali.molaei
Last Packager: ali.molaei
Votes: 51
Popularity: 8.84
First Submitted: 2023-11-01 12:41 (UTC)
Last Updated: 2024-07-17 07:48 (UTC)

Pinned Comments

stickyhands commented on 2024-02-09 23:53 (UTC) (edited on 2024-02-09 23:53 (UTC) by stickyhands)

@shoryuken thank you, that worked!

@ali.molaei I'm not sure of technicalities of dependencies, but if you cannot force network-manager-applet as a dependency I think you should at least pin some comment explaining that getting it might fix issues. As it stands I accidentally found the solution at other package page https://aur.archlinux.org/packages/protonvpn-cli#comment-951908, and only since it's the newest one.

Latest Comments

1 2 3 4 5 6 .. 16 Next › Last »

Wispy commented on 2024-07-17 18:10 (UTC) (edited on 2024-07-17 18:11 (UTC) by Wispy)

Connection to free servers doesn't work:

2024-07-17T18:01:58.258122 | proton.vpn.app.gtk.widgets.vpn.quick_connect_widget:96 | INFO | UI.TRAY:CONNECT | Connect to fastest server
2024-07-17T18:01:58.322000 | proton.vpn.core.connection:168 | INFO | CONN.CONNECT:START | Server: JP-FREE#189009 / Domain: node-jp-22.protonvpn.net / IP: 138.199.21.216 / OpenVPN Ports: ProtocolPorts(udp=[80], tcp=[8443]) / WireGuard Ports: ProtocolPorts(udp=[443, 1224, 4500, 51820], tcp=[443, 5995]) / Protocol: openvpn-udp / Backend: None
2024-07-17T18:01:58.324045 | proton.vpn.connection.vpnconnector:238 | INFO | CONN:STATE_CHANGED | Connecting
2024-07-17T18:01:59.451816 | proton.vpn.backend.linux.networkmanager.core.networkmanager:91 | INFO | VPN server REACHABLE.
2024-07-17T18:01:59.582865 | proton.vpn.connection.vpnconnector:238 | INFO | CONN:STATE_CHANGED | Error
2024-07-17T18:01:59.586006 | proton.vpn.connection.states:334 | WARNING | Reached connection error state: AuthDenied (<enum NM_VPN_CONNECTION_STATE_REASON_NO_SECRETS of type NM.VpnConnectionStateReason>)
2024-07-17T18:02:02.162003 | proton.vpn.app.gtk.services.reconnector.reconnector:191 | INFO | VPN connection drop was detected.
2024-07-17T18:02:02.162562 | proton.vpn.app.gtk.services.reconnector.reconnector:194 | INFO | VPN reconnection not possible: fatal connection error.
2024-07-17T18:02:02.478456 | proton.vpn.app.gtk.widgets.main.exception_handler:164 | ERROR | APP:ERROR | Reconnection not possible due to authentication error.
Traceback (most recent call last):
  File "/usr/lib/python3.12/site-packages/proton/vpn/app/gtk/services/reconnector/reconnector.py", line 148, in _on_reconnection_error
    raise AuthenticationError("Reconnection not possible due to authentication error.")
proton.vpn.connection.exceptions.AuthenticationError: Reconnection not possible due to authentication error.
2024-07-17T18:02:59.096368 | proton.vpn.app.gtk.widgets.headerbar.menu.menu:224 | INFO | UI.DIALOG:QUIT | Yes
2024-07-17T18:02:59.113659 | proton.vpn.connection.vpnconnector:238 | INFO | CONN:STATE_CHANGED | Disconnected
2024-07-17T18:02:59.114476 | proton.vpn.app.gtk.services.reconnector.reconnector:103 | INFO | VPN reconnector disabled.
2024-07-17T18:02:59.115468 | proton.vpn.connection.persistence:110 | WARNING | CONN.PERSISTENCE:REMOVE | Connection persistence not found when trying to remove it: /home/wispy/.cache/Proton/VPN/connection/connection_persistence.json
2024-07-17T18:02:59.115784 | proton.vpn.app.gtk.services.refresher.client_config_refresher:77 | INFO | Client config refresher disabled.
2024-07-17T18:02:59.116346 | proton.vpn.app.gtk.services.refresher.server_list_refresher:82 | INFO | Server list refresher disabled.
2024-07-17T18:02:59.116854 | proton.vpn.app.gtk.services.refresher.certificate_refresher:77 | INFO | Certificate refresher disabled
2024-07-17T18:02:59.117339 | proton.vpn.app.gtk.services.refresher.vpn_data_refresher:150 | INFO | APP.VPN_DATA_REFRESHER:DISABLE | VPN data refresher service disabled.

bader commented on 2024-07-17 08:03 (UTC)

when I try to connect the app crashes. Not sure what is causing it. I have tried rebuilding the app and all dependencies to no avail.

Version: 4.3.3-1

Error log:

2024-07-17T08:00:13.860389 | proton.vpn.app.gtk.widgets.vpn.quick_connect_widget:96 | INFO | UI.TRAY:CONNECT | Connect to fastest server
2024-07-17T08:00:13.945635 | proton.vpn.core.connection:168 | INFO | CONN.CONNECT:START | Server: QA#7 / Domain: qa-01.protonvpn.net / IP: 45.83.136.1 / OpenVPN Ports: ProtocolPorts(udp=[80, 51820, 4569, 1194, 5060], tcp=[443, 7770, 8443]) / WireGuard Ports: ProtocolPorts(udp=[443, 88, 1224, 51820, 500, 4500], tcp=[443]) / Protocol: openvpn-udp / Backend: None
2024-07-17T08:00:14.056628 | proton.vpn.connection.vpnconnector:238 | INFO | CONN:STATE_CHANGED | Connecting
2024-07-17T08:00:19.063952 | proton.vpn.app.gtk.widgets.main.exception_handler:175 | CRITICAL | APP:CRASH | Unexpected error.
Traceback (most recent call last):
  File "/usr/lib/python3.12/concurrent/futures/_base.py", line 449, in result
    return self.__get_result()
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/concurrent/futures/_base.py", line 401, in __get_result
    raise self._exception
TimeoutError

pixrobot commented on 2024-07-07 21:46 (UTC)

Nevermind. My keyring was corrupted.

pixrobot commented on 2024-07-07 21:32 (UTC)

Hello, is someone else having this issue?

Traceback (most recent call last):
  File "/usr/lib/python3.12/site-packages/secretstorage/util.py", line 48, in send_and_get_reply
    raise DBusErrorResponse(resp_msg)
jeepney.wrappers.DBusErrorResponse: [org.freedesktop.DBus.Error.UnknownMethod] ('Object does not exist at path “/org/freedesktop/secrets/collection/login/7”',)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/bin/protonvpn-app", line 33, in <module>
    sys.exit(load_entry_point('proton-vpn-gtk-app==4.3.2', 'console_scripts', 'protonvpn-app')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/vpn/app/gtk/__main__.py", line 34, in main
    controller = Controller.get(executor)
                 ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/vpn/app/gtk/controller.py", line 59, in get
    executor.submit(controller.initialize_vpn_connector).result()
  File "/usr/lib/python3.12/concurrent/futures/_base.py", line 456, in result
    return self.__get_result()
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/concurrent/futures/_base.py", line 401, in __get_result
    raise self._exception
  File "/usr/lib/python3.12/site-packages/proton/vpn/app/gtk/controller.py", line 94, in initialize_vpn_connector
    self._connector = await self._api.get_vpn_connector()
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/vpn/core/api.py", line 57, in get_vpn_connector
    settings = await self.load_settings()
               ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/vpn/core/api.py", line 67, in load_settings
    if self._session_holder.session.logged_in:
       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/vpn/core/session_holder.py", line 73, in session
    self._session = self._proton_sso.get_default_session(
                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/sso/sso.py", line 192, in get_default_session
    sessions = self.sessions
               ^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/sso/sso.py", line 133, in sessions
    keyring_index = keyring[self.__keyring_index_name()]
                    ~~~~~~~^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/keyring/_base.py", line 65, in __getitem__
    return self._get_item(key)
           ^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/proton/keyring_linux/secretservice/secretservice_backend.py", line 56, in _get_item
    stored_data = self._backend.get_password(
                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/keyring/backends/SecretService.py", line 82, in get_password
    for item in items:
  File "/usr/lib/python3.12/site-packages/secretstorage/collection.py", line 94, in search_items
    yield Item(self.connection, item_path, self.session)
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/secretstorage/item.py", line 32, in __init__
    self._item.get_property('Label')
  File "/usr/lib/python3.12/site-packages/secretstorage/util.py", line 67, in get_property
    (signature, value), = self.send_and_get_reply(msg)
                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/secretstorage/util.py", line 52, in send_and_get_reply
    raise ItemNotFoundException('Item does not exist!') from resp
secretstorage.exceptions.ItemNotFoundException: Item does not exist!

I have tried deleting all Proton configuration files in my home folder since my system is a fresh install and maybe i have restored some broken configs, but to no avail. How can i fix this?

Dwa30v commented on 2024-06-15 17:23 (UTC)

When the app starts, the following error is shown:

Unterminated string starting at: line 1 column 2764789 (char 2764788)

ali.molaei commented on 2024-06-05 04:00 (UTC)

@melioratio thanks for letting me know about 4.4.0, I'll update when it's on github

Whizz_Bird commented on 2024-05-31 14:40 (UTC)

If any of y'all are having problems with disabling "advanced kill switch" after uninstalling the program because you forgot to turn it off before removing the program, you can regain access to the internet by disabling the "pvpn-killswitch-perm" using nmcli (or do it graphically from the settings app if you are on KDE)

Alternatively, you can edit /home/.config/Proton/VPN/settings.json to say "killswitch": 0

marvhus commented on 2024-05-30 18:19 (UTC) (edited on 2024-05-30 18:20 (UTC) by marvhus)

I have looked through some of the comments here and have tried some of the mentioned fixes like clearing the cache, manually installing the python-proton-* dependencies, etc, but none of them seam to work.

When I try to run protonvpn-app I get this error:

Traceback (most recent call last):
  File "/usr/bin/protonvpn-app", line 33, in <module>
    sys.exit(load_entry_point('proton-vpn-gtk-app==4.3.2', 'console_scripts', 'protonvpn-app')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/protonvpn-app", line 25, in importlib_load_entry_point
    return next(matches).load()
           ^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 205, in load
    module = import_module(match.group('module'))
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1310, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1310, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1310, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1324, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'proton.vpn'